SUSE 5053 Published by

An editorconfig-core-c security update has been released for SUSE Linux Enterprise 15 SP4.



openSUSE-SU-2023:0102-1: important: Security update for editorconfig-core-c


openSUSE Security Update: Security update for editorconfig-core-c
______________________________________________________________________________

Announcement ID: openSUSE-SU-2023:0102-1
Rating: important
References: #1211032
Cross-References: CVE-2023-0341
CVSS scores:
CVE-2023-0341 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
openSUSE Backports SLE-15-SP4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for editorconfig-core-c fixes the following issues:

Update to version 0.12.6:

- CVE-2023-0341: Fixed a buffer overflow in ec_blob (boo#1211032)
- Update property key, value length limits per spec change

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15-SP4:

zypper in -t patch openSUSE-2023-102=1


Package List:

- openSUSE Backports SLE-15-SP4 (aarch64 i586 ppc64le s390x x86_64):

editorconfig-0.12.6-bp154.2.3.1
libeditorconfig-devel-0.12.6-bp154.2.3.1
libeditorconfig0-0.12.6-bp154.2.3.1

- openSUSE Backports SLE-15-SP4 (aarch64_ilp32):

libeditorconfig-devel-64bit-0.12.6-bp154.2.3.1
libeditorconfig0-64bit-0.12.6-bp154.2.3.1

- openSUSE Backports SLE-15-SP4 (x86_64):

libeditorconfig-devel-32bit-0.12.6-bp154.2.3.1
libeditorconfig0-32bit-0.12.6-bp154.2.3.1

References:

  https://www.suse.com/security/cve/CVE-2023-0341.html
  https://bugzilla.suse.com/1211032